--[[setupUIPanel
-- @autor: Christoph Bhr
-- @description: plugin configuration into blizzards configuration system
-- @version: 0.5
-- @args: none
--]]

function setupUIPanel1() -- text
 local panel = CreateFrame("FRAME", "MTT_panel1")
 panel.name = getLocaleString("CONFIG_TEXT_TITLE")
 panel.parent = getLocaleString("CONFIG_TITLE")

 panel:CreateFontString("MTT_title1") 
 MTT_title1:SetFontObject(GameFontNormalLarge)
 MTT_title1:SetPoint("TOPLEFT", panel, "TOPLEFT", 16, -16)
 MTT_title1:SetText(getLocaleString("CONFIG_TEXT_SETTINGS"))
 
 panel:CreateFontString("MTT_subText1")
 MTT_subText1:SetFontObject(GameFontHighlightSmall)
 MTT_subText1:SetPoint("TOPLEFT", MTT_title1, "BOTTOMLEFT", 0, -8)
 MTT_subText1:SetPoint("RIGHT", panel, "RIGHT", -30, 0)
 MTT_subText1:SetHeight(16)
 MTT_subText1:SetJustifyH("LEFT")
 MTT_subText1:SetText(getLocaleString("CONFIG_TEXTDESCRIPTION")) 
 
 CreateFrame("EditBox", "MTT_editbox1", panel, "InputBoxTemplate")
 MTT_editbox1:CreateFontString("MTT_editbox1Text")
 MTT_editbox1Text:SetFontObject(GameFontNormal)
 MTT_editbox1Text:SetText(getLocaleString("CONFIG_TEXT_FONT"))
 MTT_editbox1Text:SetPoint("BOTTOM", MTT_editbox1, "TOP", 0, 0)
 MTT_editbox1Text:SetWidth(64)
 MTT_editbox1Text:SetHeight(12)
 MTT_editbox1:SetPoint("TOPLEFT", MTT_subText1, "BOTTOMLEFT", 0, -16)
 MTT_editbox1:SetPoint("RIGHT", panel, "RIGHT", -30,0)
 MTT_editbox1:SetAutoFocus(false)
 MTT_editbox1:SetHeight(24)
 MTT_editbox1:SetFontObject(GameFontHighlight)
 MTT_editbox1:SetText(TEXT_FONT)
 MTT_editbox1:SetCursorPosition(0)
 
 CreateFrame("CheckButton", "MTT_checkbox1", panel, "InterfaceOptionsCheckButtonTemplate")
 MTT_checkbox1Text:SetText(getLocaleString("CONFIG_TEXT_OUTLINE"))
 MTT_checkbox1:SetChecked(TEXT_OUTLINE)
 MTT_checkbox1:SetPoint("TOPLEFT", MTT_editbox1, "BOTTOMLEFT",  -6, -8)
 
 CreateFrame("Slider", "MTT_slider0", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider0Text:SetText(getLocaleString("CONFIG_TEXT_FONTSIZE"))
 MTT_slider0Text:SetFontObject(GameFontNormal)
 MTT_slider0Low:SetText("1")
 MTT_slider0Low:SetFontObject(GameFontHighlight)
 MTT_slider0High:SetText("32")
 MTT_slider0High:SetFontObject(GameFontHighlight)
 MTT_slider0:SetMinMaxValues(1, 32)
 MTT_slider0:SetValue(TEXT_SIZE)
 MTT_slider0:SetValueStep(1)
 MTT_slider0:SetPoint("TOP", MTT_checkbox1Text, "TOP", 0, 0)
 MTT_slider0:SetPoint("RIGHT", panel, "RIGHT", -30, 0)
   
 CreateFrame("CheckButton", "MTT_checkbox2", panel, "InterfaceOptionsCheckButtonTemplate")
 MTT_checkbox2Text:SetText(getLocaleString("CONFIG_TEXT_SHADOW"))
 MTT_checkbox2:SetChecked(TEXT_SHADOW)
 MTT_checkbox2:SetPoint("TOPLEFT", MTT_checkbox1, "BOTTOMLEFT", 0 , -8)

 CreateFrame("Frame", "MTT_colorswatch1", panel)
 MTT_colorswatch1ColorSwatch = CreateFrame("Button", "MTT_colorswatch1ColorSwatch", MTT_colorswatch1)
 MTT_colorswatch1ColorSwatch:SetWidth(24)
 MTT_colorswatch1ColorSwatch:SetHeight(24)
 MTT_colorswatch1ColorSwatch:SetPoint("TOPLEFT", MTT_colorswatch1, "TOPLEFT", 1, 1)
 MTT_colorswatch1ColorSwatch:SetNormalTexture("Interface\\ChatFrame\\ChatFrameColorSwatch")
 MTT_colorswatch1ColorSwatch:SetScript("OnClick", function()
  ColorPickerFrame:Show()
  ColorPickerFrame:SetColorRGB(MTT_colorswatch1ColorSwatch:GetNormalTexture():GetVertexColor())
  ColorPickerFrame.func = function()
   MTT_colorswatch1ColorSwatch:GetNormalTexture():SetVertexColor(ColorPickerFrame:GetColorRGB())
  end
 end)
 local border = MTT_colorswatch1ColorSwatch:CreateTexture("BACKGROUND")
 border:SetWidth(26)
 border:SetHeight(26)
 border:SetVertexColor(1,1,1)
 border:SetPoint("CENTER", MTT_colorswatch1ColorSwatch, "CENTER", 0,0)
 
 MTT_colorswatch1:SetPoint("TOPLEFT", MTT_checkbox2, "BOTTOMLEFT", 0, -8)
 MTT_colorswatch1:SetHeight(28)
 MTT_colorswatch1:SetWidth(192)
 
 local text = MTT_colorswatch1:CreateFontString()
 text:SetFontObject(GameFontHighlight)
 text:SetText(getLocaleString("CONFIG_TEXT_COLOR"))
 text:SetPoint("LEFT", MTT_colorswatch1ColorSwatch, "RIGHT", 2, 0)
 
 CreateFrame("Slider", "MTT_slider10", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider10Text:SetText(getLocaleString("CONFIG_TEXT_OFFSETY"))
 MTT_slider10Text:SetFontObject(GameFontNormal)
 MTT_slider10Low:SetText("-32")
 MTT_slider10Low:SetFontObject(GameFontHighlight)
 MTT_slider10High:SetText("32")
 MTT_slider10High:SetFontObject(GameFontHighlight)
 MTT_slider10:SetMinMaxValues(-32, 32)
 MTT_slider10:SetValue(TEXT_OFFSETY)
 MTT_slider10:SetValueStep(1)
 MTT_slider10:SetPoint("TOPLEFT", MTT_slider0, "BOTTOMLEFT", 0 , -32)
 MTT_slider10:SetPoint("RIGHT", panel, "RIGHT", -30, 0)

 CreateFrame("Button", "MTT_example1", panel)
 MTT_example1:SetWidth(32)
 MTT_example1:SetHeight(32)
 MTT_example1:SetNormalTexture("Interface\\Icons\\Spell_Nature_StoneSkinTotem")
 MTT_example1:SetPoint("TOPLEFT", MTT_slider10, "BOTTOMLEFT", 0, -32)
 
 local fs = MTT_example1:CreateFontString()
 fs:SetPoint("BOTTOM", MTT_example1, "BOTTOM", 0, 8)
 fs:SetFontObject(GameFontNormal)
 fs:SetText(MTT_slider10:GetValue())
 
 MTT_example1:SetScript("OnUpdate", function()
    fs:ClearAllPoints()
	fs:SetPoint("BOTTOM", MTT_example1, "BOTTOM", 0, MTT_slider10:GetValue())
	fs:SetText(MTT_slider10:GetValue())
	if MTT_checkbox2:GetChecked() == 1 then
     fs:SetShadowOffset(1, -1)
     fs:SetShadowColor(0, 0, 0, 1)
	else
	 fs:SetShadowOffset(0, 0)
     fs:SetShadowColor(0, 0, 0, 0)
	end
	if MTT_checkbox1:GetChecked() == 1 then
	 fs:SetFont(MTT_editbox1:GetText(), MTT_slider0:GetValue(), "OUTLINE")
	else
	 fs:SetFont(MTT_editbox1:GetText(), MTT_slider0:GetValue())
	end
	 fs:SetVertexColor(MTT_colorswatch1ColorSwatch:GetNormalTexture():GetVertexColor())
  end)
 
 panel.okay = function()
  TEXT_FONT = MTT_editbox1:GetText()
  TEXT_SIZE = MTT_slider0:GetValue()
  TEXT_OUTLINE = MTT_checkbox1:GetChecked() or false
  TEXT_SHADOW = MTT_checkbox2:GetChecked() or false
  TEXT_COLOR = {MTT_colorswatch1ColorSwatch:GetNormalTexture():GetVertexColor()}
  TEXT_OFFSETY = MTT_slider10:GetValue()
  for i=1,4 do
   local fs = _G["Totem"..i]:GetFontString()
   if fs then
    fs:ClearAllPoints()
	fs:SetPoint("BOTTOM", _G["Totem"..i], "BOTTOM", 0, TEXT_OFFSETY)
   end
  end
 end
 
 panel.cancel = function()
  MTT_editbox1:SetText(TEXT_FONT)
  MTT_slider0:GetValue(TEXT_SIZE)
  MTT_checkbox1:SetChecked(TEXT_OUTLINE)
  MTT_checkbox2:SetChecked(TEXT_SHADOW)
  MTT_slider10:SetValue(TEXT_OFFSETY)
  MTT_colorswatch1ColorSwatch:GetNormalTexture():SetVertexColor(unpack(TEXT_COLOR))
 end
  
 panel.default = function()
  TEXT_FONT = "Interface\\AddOns\\MacTotemTimer\\font.ttf"
  TEXT_SIZE = 9
  TEXT_OUTLINE = true
  TEXT_SHADOW = true
  TEXT_COLOR = {1.0,0.82,0}
  TEXT_OFFSETY = 10
 end
 
 InterfaceOptions_AddCategory(panel);  
end

function setupUIPanel2() -- flash
 local panel = CreateFrame("FRAME", "MTT_panel2")
 panel.name  = getLocaleString("CONFIG_FLASH_TITLE")
 panel.parent = getLocaleString("CONFIG_TITLE")

 panel:CreateFontString("MTT_title2") 
 MTT_title2:SetFontObject(GameFontNormalLarge)
 MTT_title2:SetPoint("TOPLEFT", panel, "TOPLEFT", 16, -16)
 MTT_title2:SetText(getLocaleString("CONFIG_FLASH_SETTINGS"))
 
 panel:CreateFontString("MTT_subText2")
 MTT_subText2:SetFontObject(GameFontHighlightSmall)
 MTT_subText2:SetPoint("TOPLEFT", MTT_title2, "BOTTOMLEFT", 0, -8)
 MTT_subText2:SetPoint("RIGHT", panel, "RIGHT", -30, 0)
 MTT_subText2:SetHeight(16)
 MTT_subText2:SetJustifyH("LEFT")
 MTT_subText2:SetText(getLocaleString("CONFIG_FLASHDESCRIPTION"))
  
 CreateFrame("Slider", "MTT_slider1", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider1Text:SetText(getLocaleString("CONFIG_FLASH_SPEED1"))
 MTT_slider1Text:SetFontObject(GameFontNormal)
 MTT_slider1Low:SetText(getLocaleString("CONFIG_FLASH_SLOW"))
 MTT_slider1Low:SetFontObject(GameFontHighlight)
 MTT_slider1High:SetText(getLocaleString("CONFIG_FLASH_FAST"))
 MTT_slider1High:SetFontObject(GameFontHighlight)
 MTT_slider1:SetMinMaxValues(0, 1)
 MTT_slider1:SetValue(FLASH_UPTIME)
 MTT_slider1:SetValueStep(0.001)
 MTT_slider1:SetPoint("TOPLEFT", MTT_subText2, "BOTTOMLEFT", 0 , -14)
 
 CreateFrame("Slider", "MTT_slider2", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider2Text:SetText(getLocaleString("CONFIG_FLASH_SPEED2"))
 MTT_slider2Text:SetFontObject(GameFontNormal)
 MTT_slider2Low:SetText(getLocaleString("CONFIG_FLASH_SLOW"))
 MTT_slider2Low:SetFontObject(GameFontHighlight)
 MTT_slider2High:SetText(getLocaleString("CONFIG_FLASH_FAST"))
 MTT_slider2High:SetFontObject(GameFontHighlight)
 MTT_slider2:SetMinMaxValues(0, 1)
 MTT_slider2:SetValue(FLASH_DOWNTIME)
 MTT_slider2:SetValueStep(0.001)
 MTT_slider2:SetPoint("TOPLEFT", MTT_slider1, "BOTTOMLEFT", 0 , -32)
 
 CreateFrame("Slider", "MTT_slider3", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider3Text:SetText(getLocaleString("CONFIG_FLASH_UPPERBORDER"))
 MTT_slider3Text:SetFontObject(GameFontNormal)
 MTT_slider3Low:SetText(getLocaleString("CONFIG_FLASH_INVISIBLE"))
 MTT_slider3Low:SetFontObject(GameFontHighlight)
 MTT_slider3High:SetText(getLocaleString("CONFIG_FLASH_VISIBLE"))
 MTT_slider3High:SetFontObject(GameFontHighlight)
 MTT_slider3:SetMinMaxValues(0, 1)
 MTT_slider3:SetValue(FLASH_UPPERVALUE)
 MTT_slider3:SetValueStep(0.01)
 MTT_slider3:SetPoint("TOPLEFT", MTT_slider2, "BOTTOMLEFT", 0 , -32)
 
 CreateFrame("Slider", "MTT_slider4", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider4Text:SetText(getLocaleString("CONFIG_FLASH_LOWERBORDER"))
 MTT_slider4Text:SetFontObject(GameFontNormal)
 MTT_slider4Low:SetText(getLocaleString("CONFIG_FLASH_INVISIBLE"))
 MTT_slider4Low:SetFontObject(GameFontHighlight)
 MTT_slider4High:SetText(getLocaleString("CONFIG_FLASH_VISIBLE"))
 MTT_slider4High:SetFontObject(GameFontHighlight)
 MTT_slider4:SetMinMaxValues(0, 1)
 MTT_slider4:SetValue(FLASH_LOWERVALUE)
 MTT_slider4:SetValueStep(0.01)
 MTT_slider4:SetPoint("TOPLEFT", MTT_slider3, "BOTTOMLEFT", 0 , -32)
 
 CreateFrame("Button", "MTT_example2", panel)
 MTT_example2:SetWidth(32)
 MTT_example2:SetHeight(32)
 
 local fs = panel:CreateFontString()
 fs:SetPoint("LEFT", MTT_example2, "RIGHT", 8, 0)
 fs:SetFontObject(GameFontNormal)
 fs:SetText(getLocaleString("CONFIG_EXAMPLE"))
 
 MTT_example2:SetNormalTexture("Interface\\Icons\\Spell_Nature_StoneSkinTotem")
 MTT_example2:SetPoint("TOPLEFT", MTT_slider4, "BOTTOMLEFT", 0, -32)
 MTT_example2.up = false
 MTT_example2.down = true
 MTT_example2:SetScript("OnUpdate", function()
    if MTT_example2:GetAlpha() >= MTT_slider4:GetValue() and MTT_example2.down == true then 
 	 MTT_example2:SetAlpha(MTT_example2:GetAlpha() - MTT_slider2:GetValue()) 
	 end
	 if MTT_example2:GetAlpha() <= MTT_slider4:GetValue() then
	   MTT_example2.down = false
	   MTT_example2.up = true
	 end
	 if MTT_example2:GetAlpha() <= MTT_slider3:GetValue() and MTT_example2.up == true then
	  MTT_example2:SetAlpha(MTT_example2:GetAlpha() + MTT_slider1:GetValue())
	 end
	 if MTT_example2:GetAlpha() >= MTT_slider3:GetValue() then
	  MTT_example2.up = false
	  MTT_example2.down = true
	 end
  end)
 panel.okay = function()
  FLASH_UPTIME = MTT_slider1:GetValue()
  FLASH_DOWNTIME = MTT_slider2:GetValue()
  FLASH_UPPERVALUE = MTT_slider3:GetValue()
  FLASH_LOWERTIME = MTT_slider4:GetValue()
 end
 
 panel.cancel = function()
  MTT_slider1:SetValue(FLASH_UPTIME)
  MTT_slider2:SetValue(FLASH_DOWNTIME)
  MTT_slider3:SetValue(FLASH_UPPERVALUE)
  MTT_slider4:SetValue(FLASH_LOWERVALUE)
 end
  
 panel.default = function()
  MTT_slider1:SetValue(0.06)
  MTT_slider2:SetValue(0.02)
  MTT_slider3:SetValue(1)
  MTT_slider4:SetValue(0.4)
 end
 
 InterfaceOptions_AddCategory(panel); 
end

function setupUIPanel3() -- announcer
 local checked = ANNOUNCE_TO
 local panel = CreateFrame("FRAME")
 panel.name = getLocaleString("CONFIG_ANNOUNCE_TITLE")
 panel.parent = getLocaleString("CONFIG_TITLE")
 
 panel:CreateFontString("MTT_title3")
 MTT_title3:SetFontObject(GameFontNormalLarge)
 MTT_title3:SetPoint("TOPLEFT", panel, "TOPLEFT", 16, -16)
 MTT_title3:SetText(getLocaleString("CONFIG_ANNOUNCE_SETTINGS"))
 
 panel:CreateFontString("MTT_subText3")
 MTT_subText3:SetFontObject(GameFontHighlightSmall)
 MTT_subText3:SetPoint("TOPLEFT", MTT_title3, "BOTTOMLEFT", 0, -8)
 MTT_subText3:SetPoint("RIGHT", panel, "RIGHT", -30, 0)
 MTT_subText3:SetHeight(32)
 MTT_subText3:SetJustifyH("LEFT")
 MTT_subText3:SetText(getLocaleString("CONFIG_ANNOUNCEDESCRIPTION"))
 
 CreateFrame("CheckButton", "MTT_checkbox5", panel, "InterfaceOptionsCheckButtonTemplate") 
 MTT_checkbox5Text:SetText(getLocaleString("CONFIG_ANNOUNCE_ENABLE"))
 MTT_checkbox5:SetChecked(ANNOUNCE)
 MTT_checkbox5:SetPoint("TOPLEFT", MTT_subText3, "BOTTOMLEFT",  0, -14)
 MTT_checkbox5:SetScript("OnClick", function()
  if MTT_checkbox5:GetChecked() == 1 then
   if MikSBT ~= nil then
    MTT_checkbox6:Enable()
    MTT_checkbox6Text:SetFontObject("GameFontNormalSmall")
   end
   if CombatText ~= nil and Parrot == nil then
    MTT_checkbox7:Enable()
    MTT_checkbox7Text:SetFontObject("GameFontNormalSmall")
   end
   if SCT ~= nil then
    MTT_checkbox8:Enable()
    MTT_checkbox8Text:SetFontObject("GameFontNormalSmall")
   end
   if Parrot ~= nil then
    MTT_checkbox9:Enable()
    MTT_checkbox9Text:SetFontObject("GameFontNormalSmall")
   end
  else
   MTT_checkbox6:Disable()
   MTT_checkbox6Text:SetFontObject("GameFontDisableSmall")
   MTT_checkbox7:Disable()
   MTT_checkbox7Text:SetFontObject("GameFontDisableSmall")
   MTT_checkbox8:Disable()
   MTT_checkbox8Text:SetFontObject("GameFontDisableSmall")
   MTT_checkbox9:Disable()
   MTT_checkbox9Text:SetFontObject("GameFontDisableSmall")
  end
  if CombatText ~= nil and Parrot ~= nil then 
   MTT_checkbox7:Disable()
   MTT_checkbox7Text:SetFontObject("GameFontDisableSmall")
   MTT_checkbox7Text:SetText(getLocaleString("CONFIG_PARROT_WARNING"))
  end
 end)
 CreateFrame("CheckButton", "MTT_checkbox6", panel, "InterfaceOptionsSmallCheckButtonTemplate")
 MTT_checkbox6Text:SetText(getLocaleString("CONFIG_ANNOUNCE_MIKSBT"))
 if ANNOUNCE_TO == "MikSBT" then
  MTT_checkbox6:SetChecked(true)
 else
  MTT_checkbox6:SetChecked(false)
 end
 if MikSBT == nil then -- is not installed
  MTT_checkbox6:Disable()
  MTT_checkbox6Text:SetFontObject("GameFontDisableSmall")
 end
 MTT_checkbox6:SetScript("OnClick", function()
  if MTT_checkbox6:GetChecked() == 1 then
   MTT_checkbox7:SetChecked(not this:GetChecked())
   MTT_checkbox8:SetChecked(not this:GetChecked())
   MTT_checkbox9:SetChecked(not this:GetChecked())
   checked = "MikSBT"
  end
 end)
 MTT_checkbox6:SetPoint("TOPLEFT", MTT_checkbox5, "BOTTOMLEFT",  8, -8)

 CreateFrame("CheckButton", "MTT_checkbox7", panel, "InterfaceOptionsSmallCheckButtonTemplate")
 MTT_checkbox7Text:SetText(string.format(getLocaleString("CONFIG_ANNOUNCE_FCT")))
 if ANNOUNCE_TO == "FCT" then
  MTT_checkbox7:SetChecked(true)
 else
  MTT_checkbox7:SetChecked(false)
 end
 if CombatText == nil then -- is not installed (activated)
  MTT_checkbox7:Disable()
  MTT_checkbox7Text:SetFontObject("GameFontDisableSmall")
 end
 MTT_checkbox7:SetScript("OnClick", function()
  if MTT_checkbox7:GetChecked() == 1 then
   MTT_checkbox6:SetChecked(not this:GetChecked())
   MTT_checkbox8:SetChecked(not this:GetChecked())
   MTT_checkbox9:SetChecked(not this:GetChecked())
   checked = "FCT"
  end
 end)
 MTT_checkbox7:SetPoint("TOPLEFT", MTT_checkbox6, "BOTTOMLEFT",  0, -8)

 CreateFrame("CheckButton", "MTT_checkbox8", panel, "InterfaceOptionsSmallCheckButtonTemplate")
 MTT_checkbox8Text:SetText(getLocaleString("CONFIG_ANNOUNCE_SCT"))
 if SCT == nil then -- is not installed
  MTT_checkbox8:Disable()
  MTT_checkbox8Text:SetFontObject("GameFontDisableSmall")
 end
 if ANNOUNCE_TO == "SCT" then
  MTT_checkbox8:SetChecked(true)
 else
  MTT_checkbox8:SetChecked(false)
 end
 MTT_checkbox8:SetScript("OnClick", function()
  if MTT_checkbox8:GetChecked() == 1 then
   MTT_checkbox6:SetChecked(not this:GetChecked())
   MTT_checkbox7:SetChecked(not this:GetChecked())
   MTT_checkbox9:SetChecked(not this:GetChecked())
   checked = "SCT"
  end
 end)
 MTT_checkbox8:SetPoint("TOPLEFT", MTT_checkbox7, "BOTTOMLEFT",  0, -8)

 CreateFrame("CheckButton", "MTT_checkbox9", panel, "InterfaceOptionsSmallCheckButtonTemplate")
 MTT_checkbox9Text:SetText(getLocaleString("CONFIG_ANNOUNCE_PARROT"))
 if Parrot == nil then -- is not installed
  MTT_checkbox9:Disable()
  MTT_checkbox9Text:SetFontObject("GameFontDisableSmall")
 end
 if ANNOUNCE_TO == "PARROT" then
  MTT_checkbox9:SetChecked(true)
 else
  MTT_checkbox9:SetChecked(false)
 end
 MTT_checkbox9:SetScript("OnClick", function()
  if MTT_checkbox9:GetChecked() == 1 then
   MTT_checkbox6:SetChecked(not this:GetChecked())
   MTT_checkbox7:SetChecked(not this:GetChecked())
   MTT_checkbox8:SetChecked(not this:GetChecked())
   checked = "PARROT"
  end
 end)
 MTT_checkbox9:SetPoint("TOPLEFT", MTT_checkbox8, "BOTTOMLEFT",  0, -8)

 CreateFrame("CheckButton", "MTT_checkbox10", panel, "InterfaceOptionsCheckButtonTemplate")
 MTT_checkbox10Text:SetText(getLocaleString("CONFIG_ANNOUNCE_NOTICE"))
 MTT_checkbox10:SetChecked(NOTICE)
 MTT_checkbox10:SetPoint("TOPLEFT", MTT_checkbox9, "BOTTOMLEFT",  -8, -8)

 CreateFrame("CheckButton", "MTT_checkbox11", panel, "InterfaceOptionsCheckButtonTemplate")
 MTT_checkbox11Text:SetText(getLocaleString("CONFIG_ANNOUNCE_NOTICE2"))
 MTT_checkbox11:SetChecked(NOTICE2)
 MTT_checkbox11:SetPoint("TOPLEFT", MTT_checkbox10, "BOTTOMLEFT",  0, -8)

 
 panel.okay = function()
  ANNOUNCE = MTT_checkbox5:GetChecked()
  ANNOUNCE_TO = checked
  NOTICE = MTT_checkbox10:GetChecked()
  NOTICE2 = MTT_checkbox11:GetChecked()
 end
 panel.cancel = function()
  MTT_checkbox5:SetChecked(ANNOUNCE)
  MTT_checkbox6:SetChecked(ANNOUNCE_TO == "MikSBT")
  MTT_checkbox7:SetChecked(ANNOUNCE_TO == "FCT")
  MTT_checkbox8:SetChecked(ANNOUNCE_TO == "SCT")
  MTT_checkbox9:SetChecked(ANNOUNCE_TO == "PARROT")
  MTT_checkbox10:SetChecked(NOTICE)
  MTT_checkbox11:SetChecked(NOTICE2)
 end
 panel.default = function()
  ANNOUNCE = 1
  ANNOUNCE_TO = "FCT"
  NOTICE = 1
  NOTICE2 = 1
 end
 
 InterfaceOptions_AddCategory(panel); 
end

function setupUIPanel0(panel) -- Startpage
 panel:CreateFontString("MTT_title")
 MTT_title:SetFontObject(GameFontNormalLarge)
 MTT_title:SetPoint("TOPLEFT", panel, "TOPLEFT", 16, -16)
 MTT_title:SetText(getLocaleString("CONFIG_TITLE"))
 
 panel:CreateFontString("MTT_subText")
 MTT_subText:SetFontObject(GameFontHighlightSmall)
 MTT_subText:SetPoint("TOPLEFT", MTT_title, "BOTTOMLEFT", 0, -8)
 MTT_subText:SetPoint("RIGHT", panel, "RIGHT", -30, 0)
 MTT_subText:SetHeight(32)
 MTT_subText:SetJustifyH("LEFT")
 MTT_subText:SetText(getLocaleString("CONFIG_PAGEDESCRIPTION"))
 
 panel:CreateFontString("MTT_catText3")
 MTT_catText3:SetFontObject(GameFontHighlight)
 MTT_catText3:SetPoint("TOPLEFT", MTT_subText, "BOTTOMLEFT", 0, -14)
 MTT_catText3:SetText(getLocaleString("CONFIG_SIMPLE"))
 
 CreateFrame("Slider", "MTT_slider5", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider5Text:SetText(getLocaleString("CONFIG_SCALE"))
 MTT_slider5Text:SetFontObject(GameFontNormal)
 MTT_slider5Low:SetText(getLocaleString("CONFIG_SCALE_SMALL"))
 MTT_slider5Low:SetFontObject(GameFontHighlight)
 MTT_slider5High:SetText(getLocaleString("CONFIG_SCALE_WIDE"))
 MTT_slider5High:SetFontObject(GameFontHighlight)
 MTT_slider5:SetMinMaxValues(0.25, 2)
 MTT_slider5:SetValue(BUTTON_SCALE)
 MTT_slider5:SetValueStep(0.25)
 MTT_slider5:SetPoint("TOPLEFT", MTT_catText3, "BOTTOMLEFT", 0 , -16) 
 
 CreateFrame("Slider", "MTT_slider6", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider6:SetScript("OnValueChanged", function()
  MTT_slider6Text:SetFormattedText(getLocaleString("CONFIG_ORDER1"), getLocaleString("TOTEM_"..this:GetValue()))
 end)
 MTT_slider6Text:SetFontObject(GameFontNormal)
 MTT_slider6Low:SetText("")
 MTT_slider6Low:SetFontObject(GameFontHighlight)
 MTT_slider6High:SetText("")
 MTT_slider6High:SetFontObject(GameFontHighlight)
 MTT_slider6:SetMinMaxValues(1, 4)
 MTT_slider6:SetValue(TOTEM1)
 MTT_slider6:SetValueStep(1)
 MTT_slider6:SetPoint("TOPLEFT", MTT_slider5, "BOTTOMLEFT", 0 , -32) 

 CreateFrame("Slider", "MTT_slider7", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider7:SetScript("OnValueChanged", function()
  MTT_slider7Text:SetFormattedText(getLocaleString("CONFIG_ORDER2"), getLocaleString("TOTEM_"..this:GetValue()))
 end)
 MTT_slider7Text:SetFontObject(GameFontNormal)
 MTT_slider7Low:SetText("")
 MTT_slider7Low:SetFontObject(GameFontHighlight)
 MTT_slider7High:SetText("")
 MTT_slider7High:SetFontObject(GameFontHighlight)
 MTT_slider7:SetMinMaxValues(1, 4)
 MTT_slider7:SetValue(TOTEM2)
 MTT_slider7:SetValueStep(1)
 MTT_slider7:SetPoint("TOP", MTT_slider6, "TOP", 0 , 0)  
 MTT_slider7:SetPoint("RIGHT", panel, "RIGHT", -30, 0)  

 CreateFrame("Slider", "MTT_slider8", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider8:SetScript("OnValueChanged", function()
  MTT_slider8Text:SetFormattedText(getLocaleString("CONFIG_ORDER3"), getLocaleString("TOTEM_"..this:GetValue()))
 end)
 MTT_slider8Text:SetFontObject(GameFontNormal)
 MTT_slider8Low:SetText("")
 MTT_slider8Low:SetFontObject(GameFontHighlight)
 MTT_slider8High:SetText("")
 MTT_slider8High:SetFontObject(GameFontHighlight)
 MTT_slider8:SetMinMaxValues(1, 4)
 MTT_slider8:SetValue(TOTEM3)
 MTT_slider8:SetValueStep(1)
 MTT_slider8:SetPoint("TOPLEFT", MTT_slider6, "BOTTOMLEFT", 0 , -32) 

 CreateFrame("Slider", "MTT_slider9", panel, "InterfaceOptionsSliderTemplate")
 MTT_slider9:SetScript("OnValueChanged", function()
  MTT_slider9Text:SetFormattedText(getLocaleString("CONFIG_ORDER4"), getLocaleString("TOTEM_"..this:GetValue()))
 end)
 MTT_slider9Text:SetFontObject(GameFontNormal)
 MTT_slider9Low:SetText("")
 MTT_slider9Low:SetFontObject(GameFontHighlight)
 MTT_slider9High:SetText("")
 MTT_slider9High:SetFontObject(GameFontHighlight)
 MTT_slider9:SetMinMaxValues(1, 4)
 MTT_slider9:SetValue(TOTEM4)
 MTT_slider9:SetValueStep(1)
 MTT_slider9:SetPoint("TOPLEFT", MTT_slider7, "BOTTOMLEFT", 0 , -32) 
  
 panel:CreateFontString("MTT_catText2")
 MTT_catText2:SetFontObject(GameFontHighlight)
 MTT_catText2:SetPoint("TOPLEFT", MTT_slider8, "BOTTOMLEFT", 0, -14)
 MTT_catText2:SetText(getLocaleString("CONFIG_MISC"))

 CreateFrame("CheckButton", "MTT_checkbox3", panel, "InterfaceOptionsCheckButtonTemplate")
 MTT_checkbox3Text:SetText(getLocaleString("CONFIG_MISC_UNLOCK"))
 MTT_checkbox3:SetChecked(UNLOCK_MODE)
 MTT_checkbox3:SetPoint("TOPLEFT", MTT_catText2, "BOTTOMLEFT",  0, -8)
 
 CreateFrame("CheckButton", "MTT_checkbox4", panel, "InterfaceOptionsCheckButtonTemplate")
 MTT_checkbox4Text:SetText(getLocaleString("CONFIG_MISC_HIDE"))
 MTT_checkbox4:SetChecked(HIDE_BLIZZARD)
 MTT_checkbox4:SetPoint("TOPLEFT", MTT_checkbox3, "BOTTOMLEFT",  0, -8)
 
 panel.okay = function()
  BUTTON_SCALE = MTT_slider5:GetValue()
  TOTEM1 = MTT_slider6:GetValue()
  TOTEM2 = MTT_slider7:GetValue()
  TOTEM3 = MTT_slider8:GetValue()
  TOTEM4 = MTT_slider9:GetValue()
  
  Totem1.id = TOTEM1
  Totem2.id = TOTEM2
  Totem3.id = TOTEM3
  Totem4.id = TOTEM4
  macTotemTimerFrame:SetScale(BUTTON_SCALE)
  
   UNLOCK_MODE = MTT_checkbox3:GetChecked() or false
  if UNLOCK_MODE == 1 then 
   macTotemTimerFrame:SetBackdropColor(0,0,0,0.3)
  else
   macTotemTimerFrame:SetBackdropColor(0,0,0,0.0)
  end
  HIDE_BLIZZARD = MTT_checkbox4:GetChecked() or false
  if HIDE_BLIZZARD == 1 then
   TotemFrame:UnregisterAllEvents()
   TotemFrame:Hide()
  else
   TotemFrame:RegisterEvent("PLAYER_TOTEM_UPDATE")
   TotemFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
   TotemFrame:Show()
  end
 end
 
 panel.cancel = function()
  MTT_slider5:SetValue(BUTTON_SCALE)
  MTT_slider6:SetValue(TOTEM1)
  MTT_slider7:SetValue(TOTEM2)
  MTT_slider8:SetValue(TOTEM3)
  MTT_slider9:SetValue(TOTEM4)
  
  MTT_checkbox3:SetChecked(UNLOCK_MODE)
  if UNLOCK_MODE == 1 then 
   macTotemTimerFrame:SetBackdropColor(0,0,0,0.3)
  else
   macTotemTimerFrame:SetBackdropColor(0,0,0,0.0)
  end
  MTT_checkbox4:SetChecked(HIDE_BLIZZARD)
  if HIDE_BLIZZARD == 1 then
   TotemFrame:Hide()
  else
   TotemFrame:Show()
  end
 end
 
 panel.default = function()
  MTT_slider5:SetValue(1)
  MTT_slider6:SetValue(1)
  MTT_slider7:SetValue(2)
  MTT_slider8:SetValue(3)
  MTT_slider9:SetValue(4)
  macTotemTimerFrame:SetScale(1)
  
  MTT_checkbox3:SetChecked(false)
  macTotemTimerFrame:SetBackdropColor(0,0,0,0)
  MTT_checkbox4:SetChecked(false)
 end
end

function setupUIPanel() -- startpage
 local panel = CreateFrame("FRAME")
 panel.name = getLocaleString("CONFIG_TITLE")
 
 InterfaceOptions_AddCategory(panel)
 
 panel:SetScript("OnShow", function()
  if not panel.runOnced then
   setupUIPanel0(panel)
   setupUIPanel1()
   setupUIPanel2()
   setupUIPanel3()
   panel.runOnced = true
  end
 end) 
 
end

--[[configuration module
-- @autor: Christoph Bhr
-- @description: slash configuration module
-- @version: 0.2b
-- @deprecated since: 0.5
-- @see also: setupUIPanel
-- @args : arguments: parameters passed to slash com
--]]
function configuration(arguments)
 UNLOCK_MODE = not UNLOCK_MODE
end
 SLASH_MACTOTEM1 = "/mactotemtimer"
 SLASH_MACTOTEM2 = "/mtotem"
 SlashCmdList["MACTOTEM"] = configuration;
